Results 1 to 3 of 3

Thread: Incompatible with Samsung Galaxy S3 after update

  1. #1

    Incompatible with Samsung Galaxy S3 after update

    Hello.

    After the latest update, the game became incompatible to play on my Samsung Galaxy S3 tablet. The update cannot be done because of the incompatible system, preventing me to play the game.
    I have Android version 4.4.2, with all system updates up-to-date.

    Slightly dissapointed about this. Is there anyway the game can become compatible again?

  2. #2
    This game is called Relic Run, not Run on a Relic. Haha. Seriously, that tablet is too outdated for modern gaming.

  3. #3
    The game used to be working just fine on it, and I'm pretty sure it can still work on it.

    Researching this issue shows that developers are able to disallow certain devices to download an app (incompatible), and this can be bypassed with a rooted device.

    EDIT: Well managed to update the game somehow, but it keeps crashing on loading. More people have the same issue that the game keeps crashing after the update.
    Last edited by Radiogamers; 10th Nov 2015 at 10:58.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •